#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#define PI (4.0*atan(1.0))

int main()
{
  double i;
  double xi,yi,xr,yr;
  double n=1.5;
  double i0=10;
    printf("\\unitlength 0.1in\n");
    printf("\\begin{picture}( 20.0000, 20.0000)(  4.0000,-24.0000)\n");
    printf("\\special{pn 8}%%\n");
    printf("\\special{pa 1400 2400}%%\n");
    printf("\\special{pa 1400 400}%%\n");
    printf("\\special{fp}%%\n");
    printf("\\special{pn 8}%%\n");
    printf("\\special{pa 400 1400}%%\n");
    printf("\\special{pa 2400 1400}%%\n");
    printf("\\special{fp}%%\n");
    printf("\\special{pn 8}%%\n");
    printf("\\special{ar 1400 1400 800 800  0.0000000 6.2831853}%%\n");
  for (i=i0; i<=8.0*i0; i+=i0){
/*
    printf("%f %f %f %f\n",cos(i/180*PI),sin(i/180*PI),
            cos(asin(sin(i/180*PI)/n)),sin(i/180*PI)/n);
*/
    xi = 1400 - 1000*sin(i/180*PI);
    yi = 1400 - 1000*cos(i/180*PI);
    xr = 1400 + 1000*sin(i/180*PI)/n;
    yr = 1400 + 1000*cos(asin(sin(i/180*PI)/n));
    printf("\\special{pn 8}%%\n");
    printf("\\special{pa %4.0f %4.0f}%%\n",xi,yi);
    printf("\\special{pa 1400 1400}%%\n");
    printf("\\special{da %1.3f}%%\n",i/1000.0);
    printf("\\special{pa 1400 1400}%%\n");
    printf("\\special{pa %4.0f %4.0f}%%\n",xr,yr);
    printf("\\special{da %1.3f}%%\n",i/1000.0);
  }
    printf("\\end{picture}%%\n");
}
